#ifndef UI_AUTOPGHDIALOG_H
#define UI_AUTOPGHDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QVBoxLayout>
#include "autoPghWidget.h"

class Ui_AutoPghDialog
{
public:
    QVBoxLayout *vboxLayout;
    AutoPghWidget *autoPghWidget;

    void setupUi(QDialog *AutoPghDialog)
    {
    AutoPghDialog->setObjectName(QString::fromUtf8("AutoPghDialog"));
    AutoPghDialog->resize(QSize(600, 482).expandedTo(AutoPghDialog->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(AutoPghDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    autoPghWidget = new AutoPghWidget(AutoPghDialog);
    autoPghWidget->setObjectName(QString::fromUtf8("autoPghWidget"));
    autoPghWidget->setFrameShape(QFrame::NoFrame);
    autoPghWidget->setFrameShadow(QFrame::Plain);

    vboxLayout->addWidget(autoPghWidget);

    retranslateUi(AutoPghDialog);

    QMetaObject::connectSlotsByName(AutoPghDialog);
    } // setupUi

    void retranslateUi(QDialog *AutoPghDialog)
    {
    AutoPghDialog->setWindowTitle(QApplication::translate("AutoPghDialog", "Dialog", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(AutoPghDialog);
    } // retranslateUi

};

namespace Ui {
    class AutoPghDialog: public Ui_AutoPghDialog {};
} // namespace Ui

#endif // UI_AUTOPGHDIALOG_H
