//
// Example application for template based background subtraction
// $Header: /cvs/mimas2/examples/subtractbg/main.cc,v 1.1.1.1 2005/08/09 15:37:45 engmb Exp $
//

#include <iostream>
#include <fstream>
#include "image.h"
#include "image_fileinput.h"
#include "image_mesaoutput.h"
#include "bg_subtract.h"

using namespace std; 
using namespace mimas;

int	main(int argc, char **argv)
{
  int retVal = 0;
  try {
   x11_display display;
   image_mesaoutput< unsigned char > window( &display );
	image<int> someimage;
	bg_subtract<int> bgs;
	// int i;
	
	// load image
   
   ifstream file( "video2_076.pgm", ios::binary );
   file >> someimage;
	//readFromFile(someimage,"snap-sssa.pgm");
	
	// extract template from some area in image
	bgs.createTemplate(someimage,243,82,249,88);
	//bgs.createTemplate(someimage,328,143,332,147);

	// subtract background
	bgs.removeBackground(someimage);

	//display image
	window << someimage << mimas::pause();
  } catch ( exception &e ) {
    cerr << e.what() << endl;
    retVal = 1;
  };
  return retVal;
}
