#ifndef __PGHDEMOWIDGET_H
#define __PGHDEMOWIDGET_H

#include <boost/shared_ptr.hpp>
#include <QtGui/QFrame>
#include "pgh_scene.h"

class PghDemoWidget: public QFrame
{
  Q_OBJECT
 public:
  PghDemoWidget( QWidget *parent, Qt::WFlags f = 0 );
 protected:
  virtual void timerEvent( QTimerEvent * );
  virtual void paintEvent( QPaintEvent * );
  int count;
  mimas::pgh_scene	camera_scene;
  mimas::pgh_2dobject_ptr clipper;
  mimas::object_instance_list_ptr oil;
};

#endif
