#ifndef UI_SLAPTOOLDIALOG_H
#define UI_SLAPTOOLDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QVBoxLayout>
#include "slapToolWidget.h"

class Ui_SlapToolDialog
{
public:
    QVBoxLayout *vboxLayout;
    SlapToolWidget *slapToolWidget;

    void setupUi(QDialog *SlapToolDialog)
    {
    SlapToolDialog->setObjectName(QString::fromUtf8("SlapToolDialog"));
    SlapToolDialog->resize(QSize(600, 482).expandedTo(SlapToolDialog->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(SlapToolDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    slapToolWidget = new SlapToolWidget(SlapToolDialog);
    slapToolWidget->setObjectName(QString::fromUtf8("slapToolWidget"));
    slapToolWidget->setFrameShape(QFrame::NoFrame);
    slapToolWidget->setFrameShadow(QFrame::Plain);

    vboxLayout->addWidget(slapToolWidget);

    retranslateUi(SlapToolDialog);

    QMetaObject::connectSlotsByName(SlapToolDialog);
    } // setupUi

    void retranslateUi(QDialog *SlapToolDialog)
    {
    SlapToolDialog->setWindowTitle(QApplication::translate("SlapToolDialog", "Dialog", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(SlapToolDialog);
    } // retranslateUi

};

namespace Ui {
    class SlapToolDialog: public Ui_SlapToolDialog {};
} // namespace Ui

#endif // UI_SLAPTOOLDIALOG_H
